Generate AI names
curl --request POST \
--url https://inference.scrapist.bot/private/ai_name \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": {
"id": "post_1938475629102848123",
"text": "A new trading terminal is launching today.",
"images": []
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: {
id: 'post_1938475629102848123',
text: 'A new trading terminal is launching today.',
images: []
}
})
};
fetch('https://inference.scrapist.bot/private/ai_name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://inference.scrapist.bot/private/ai_name"
payload = { "event": {
"id": "post_1938475629102848123",
"text": "A new trading terminal is launching today.",
"images": []
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"name": "<string>",
"ticker": "<string>"
}{
"requestId": "req_01",
"error": {
"code": "invalid_message",
"message": "images must contain at least one non-empty URL"
}
}{
"requestId": "<string>",
"error": {
"code": "invalid_message",
"message": "<string>"
}
}{
"requestId": "<string>",
"error": {
"code": "invalid_message",
"message": "<string>"
}
}{
"requestId": "<string>",
"error": {
"code": "invalid_message",
"message": "<string>"
}
}Inference
Generate AI names
Generate one token name and ticker from a social event. The response does not include translation or past-coin search results.
POST
/
private
/
ai_name
Generate AI names
curl --request POST \
--url https://inference.scrapist.bot/private/ai_name \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": {
"id": "post_1938475629102848123",
"text": "A new trading terminal is launching today.",
"images": []
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: {
id: 'post_1938475629102848123',
text: 'A new trading terminal is launching today.',
images: []
}
})
};
fetch('https://inference.scrapist.bot/private/ai_name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://inference.scrapist.bot/private/ai_name"
payload = { "event": {
"id": "post_1938475629102848123",
"text": "A new trading terminal is launching today.",
"images": []
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"name": "<string>",
"ticker": "<string>"
}{
"requestId": "req_01",
"error": {
"code": "invalid_message",
"message": "images must contain at least one non-empty URL"
}
}{
"requestId": "<string>",
"error": {
"code": "invalid_message",
"message": "<string>"
}
}{
"requestId": "<string>",
"error": {
"code": "invalid_message",
"message": "<string>"
}
}{
"requestId": "<string>",
"error": {
"code": "invalid_message",
"message": "<string>"
}
}⌘I